Bug 620377 - Drop-down menus do not remember the selection
Summary: Drop-down menus do not remember the selection
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: luci   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Ryan McCabe
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-02 11:12 UTC by Andrew Beekhof
Modified: 2016-04-26 14:03 UTC (History)
3 users (show)

Fixed In Version: luci-0.23.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 13:56:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Create fence device dialog that displays the issue (21.75 KB, image/tiff)
2010-08-02 11:12 UTC, Andrew Beekhof
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0655 normal SHIPPED_LIVE luci bug fix update 2011-05-19 09:47:45 UTC

Description Andrew Beekhof 2010-08-02 11:12:43 UTC
Created attachment 436003 [details]
Create fence device dialog that displays the issue

Description of problem:

It is standard practice for drop-down menus to remember their selection.
For some reason the ones in the GUI do not leading the user to question if there was a problem with the selection.

Definitely not at all serious, just a minor visual annoyance.

Attachment shows indicated behavior.

Version-Release number of selected component (if applicable):

luci-0.22.3-1.auto1280502062.x86_64

Comment 2 RHEL Product and Program Management 2010-08-02 11:47:37 UTC
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Comment 3 Jan Pokorný [poki] 2010-08-06 18:38:25 UTC
This should be fixed as of http://git.fedorahosted.org/git/?p=luci.git;a=commit;h=07c8cd29234f474e853cf6d4f56e746ef57da31a

GUI parts affected (and tested):
* certain cluster - fence devices - add
* certain cluster - nodes - certain node - add a fence method - add a fence instance
* certain cluster - resources - add
* certain cluster - services - add - add a resource/add a child resource (but this is a bit different case)

---
Under the line:
There is still an extremely minor bug (does not affect usability at all) I found by chance and maybe it resides in jQuery framework or even in Firefox:

1/ open a dialog with drop-down menu mentioned above
2/ start choosing from drop-down menu, navigate the cursor above certain (selectable) item, it should be highlighted now
3/ do not click on it, but do a double-click somewhere else within the the dialog

-> it does action like the highlighted item was really selected, but the selector itself is unchanged (strange)

Comment 15 errata-xmlrpc 2011-05-19 13:56:19 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0655.html


Note You need to log in before you can comment on or make changes to this bug.